summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-30 06:20:21 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-30 06:20:21 +0000
commitdb0b5bc27fe6db0fb5c625d6d1ba368339698a7b (patch)
tree99eaefa7d208ca164fea5643a785d46bd83e6e34 /dev-python
parent8e21e9a7216916de4a5ea6957f62ffbd91656b76 (diff)
downloadbaldeagleos-repo-db0b5bc27fe6db0fb5c625d6d1ba368339698a7b.tar.gz
baldeagleos-repo-db0b5bc27fe6db0fb5c625d6d1ba368339698a7b.tar.xz
baldeagleos-repo-db0b5bc27fe6db0fb5c625d6d1ba368339698a7b.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Nuitka/Manifest1
-rw-r--r--dev-python/Nuitka/Nuitka-1.8.3.ebuild52
-rw-r--r--dev-python/PyGithub/Manifest1
-rw-r--r--dev-python/PyGithub/PyGithub-2.1.1.ebuild41
-rw-r--r--dev-python/dask/Manifest1
-rw-r--r--dev-python/dask/dask-2023.9.3.ebuild85
-rw-r--r--dev-python/fonttools/Manifest1
-rw-r--r--dev-python/fonttools/fonttools-4.43.0.ebuild68
-rw-r--r--dev-python/fs/fs-2.4.16.ebuild7
-rw-r--r--dev-python/ipython/Manifest1
-rw-r--r--dev-python/ipython/ipython-8.16.0.ebuild159
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/mistune/Manifest1
-rw-r--r--dev-python/mistune/mistune-3.0.2.ebuild21
-rw-r--r--dev-python/phonenumbers/Manifest1
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.13.22.ebuild39
-rw-r--r--dev-python/pkgcraft/Manifest1
-rw-r--r--dev-python/pkgcraft/pkgcraft-0.0.7.ebuild81
-rw-r--r--dev-python/pkgcraft/pkgcraft-9999.ebuild2
-rw-r--r--dev-python/pyaml/Manifest1
-rw-r--r--dev-python/pyaml/pyaml-23.9.7.ebuild30
-rw-r--r--dev-python/pyspnego/Manifest1
-rw-r--r--dev-python/pyspnego/pyspnego-0.10.1.ebuild38
-rw-r--r--dev-python/sabctools/Manifest1
-rw-r--r--dev-python/sabctools/sabctools-8.0.0.ebuild39
-rw-r--r--dev-python/seaborn/Manifest1
-rw-r--r--dev-python/seaborn/seaborn-0.13.0.ebuild42
-rw-r--r--dev-python/sqlglot/Manifest1
-rw-r--r--dev-python/sqlglot/sqlglot-18.10.1.ebuild36
-rw-r--r--dev-python/weasyprint/Manifest1
-rw-r--r--dev-python/weasyprint/weasyprint-60.1.ebuild42
32 files changed, 803 insertions, 5 deletions
diff --git a/dev-python/Nuitka/Manifest b/dev-python/Nuitka/Manifest
index 0ff6ffd3a4ce..b63828b2df6b 100644
--- a/dev-python/Nuitka/Manifest
+++ b/dev-python/Nuitka/Manifest
@@ -2,4 +2,5 @@ DIST Nuitka-1.7.10.tar.gz 4289025 BLAKE2B 594820258860efba8be2316ab8d081e0d5ba4d
DIST Nuitka-1.7.9.tar.gz 4288768 BLAKE2B 6069598c4eb9bb134a0d5bcfc4f3b423c0cb4f0f600ed13b20080470cde53e0077394eb5660d1abe766ccfa52a0bd3f9203dabd5dae160de20b1b58670ea4bb6 SHA512 a2d2ad1be1fefc97c86af64fa1133bb6ca478021c1cc606be663a1d12bdab3a218c1760b697e426cafb67411a435d5353bf1688b986240036539946fb6ed12f3
DIST Nuitka-1.8.1.tar.gz 3603553 BLAKE2B eb470569302864ce79a595d15f10ec12786b9a36bcbd5b77eedceacecf9a637bb494292dd0dd8a6177292b6e461da6de446e88812150b4840ceb0640eb27faf0 SHA512 3a5a3d9b616f2b594638541bcbcdcef07440e907ed86f8688700a051096dcfa4df8d19dd1dbc58eddbf10249945ed2281f47c84c6bdc35398f029f645cf52e35
DIST Nuitka-1.8.2.tar.gz 3603724 BLAKE2B 32ba8e96791b488ec8b65bac6bdb4742dbea1e15f9a4f0620217c165281168c51558e40068e5bdedc31ccb67dc5e8a4805415b343365c099173047c61bfa047a SHA512 bdd14622bf0abe5ea4468672ed9badb28a12cabb7dbb9b1a5fa5da3bf33a1f45e02bd87b0568f10df8523a14bb418d462dea054a77cd462f9ddbea7bf93142d6
+DIST Nuitka-1.8.3.tar.gz 3604342 BLAKE2B eeed2776aff583e6d7a717f72bf13b0902d16de6ba774a35cf770c32887617510effcb1a4e437bcc78b85ef0be2e98cc3214ee1e5f2e07b81343e9d56676fd23 SHA512 9a44e9f7d26996044bd8147f4f6e1b92818a2f79ee813c2121839c8640074ccc1e4b2a32a838181aa9ee5a27e8952a4be6d47c510348c63cda8d717c536bbfee
DIST Nuitka-1.8.tar.gz 3602951 BLAKE2B 5ae75060b42c494c57fa92e53a8e11c25f0ed243711ad76fab140828c1b835b946201c4d7d19ac24d029d66ddead91f7943527cde5ec823f03735c0fe3a2002e SHA512 1b35405162f64b7ed99f88f223633a8dd643642de052a3ae3a4da25fd310796022394375b13d9f5cc464108791a157618e3c1aa895b0fa3235603a9f2b9b26ec
diff --git a/dev-python/Nuitka/Nuitka-1.8.3.ebuild b/dev-python/Nuitka/Nuitka-1.8.3.ebuild
new file mode 100644
index 000000000000..9c34f33c893b
--- /dev/null
+++ b/dev-python/Nuitka/Nuitka-1.8.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://www.nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-util/scons[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" app-admin/chrpath
+}
diff --git a/dev-python/PyGithub/Manifest b/dev-python/PyGithub/Manifest
index 0ce814886671..ba42695c4ee1 100644
--- a/dev-python/PyGithub/Manifest
+++ b/dev-python/PyGithub/Manifest
@@ -1 +1,2 @@
DIST PyGithub-1.59.1.tar.gz 3295328 BLAKE2B 7a7dcfa49261aa7c6d7d3b252c77cc93bd24440858989ef2a8b257235ed7b101647c08532860f0fa21d1b8f2ac35541341df49a94c3495c7d9666fe7367738c1 SHA512 795c104253b250b11b539b526944776f70e947e23dc4b26fcdadb5de3dd3208a9b27c08ffdd14cade220fde3360b6993be7a028f0069ff60d99331048560faed
+DIST PyGithub-2.1.1.tar.gz 3330531 BLAKE2B 9b288266379d7b1d85be91a7261596f9c98b97bdb5f17c4f8bb43b4765f07e2088f1130c802a623c875c8ddd7d31bdf3cad2a7fc6672ca50bb9a69c80bf4c907 SHA512 f5a0186c1a206cef070c6c19ae0cca5ab19993dd16b9df9997ba01a3fa02baee3425cef51588f7ac38636a165e36d9a5a2c4014e59482b583001c75efa7afc40
diff --git a/dev-python/PyGithub/PyGithub-2.1.1.ebuild b/dev-python/PyGithub/PyGithub-2.1.1.ebuild
new file mode 100644
index 000000000000..c3a49751b880
--- /dev/null
+++ b/dev-python/PyGithub/PyGithub-2.1.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library to access the Github API v3"
+HOMEPAGE="
+ https://github.com/PyGithub/PyGithub/
+ https://pypi.org/project/PyGithub/
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# cryptography via pyjwt[crypto]
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/deprecated[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.4.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/httpretty-1.0.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index 5d9adb98cf66..e2728de7ba2b 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,2 +1,3 @@
DIST dask-2023.9.1.gh.tar.gz 8544717 BLAKE2B 786ca3bda6b356acdeb56070964aa25e136f9976322ae5dbaf5895eb181fc1b7582ae4731de12e7881287433d4f502dbbc5002840ebc443403a9fa76df438693 SHA512 1bf0a028059dfba70a131648f4884a6c9a091cd2d550dc7968cb2a8728ce5ef405c351f100001ab2ce48470634577104924fdf4b6dadda32308b4b5a62b3200e
DIST dask-2023.9.2.gh.tar.gz 8544631 BLAKE2B bd0168d1ea86921235e7bd9ae3e6b9dc2abed3c3e300afea84fb3f2d462970ca5fa4d82f5479bc2c036d4f1a1ec9f63ff98151d8f339db2b14533be765b0f25f SHA512 ae7d289882d7e2e2ef46af3256cf69d8e443f5350f32088e33b46f37377fe8c8328de609d16d0a2abf4df5bc7671d88288968d3d18a535eaec1bfbf0a5adbcba
+DIST dask-2023.9.3.gh.tar.gz 8544054 BLAKE2B 4b1fc7d3b6f91fd6db0836a0fede0304e9c5e04e2aacd573eb06cf96ddf67ecbb198a185076ff94ca34216732673113e7e268482992b781777b3757d43a11773 SHA512 d91840f8a339ff0a21734726b1674c4dbc1332270fb160e01fd342b1ce1ba2fd5cea34c501c7a61e6b34e121da937701932a93ab85dc85618f5b5fc52cd960cd
diff --git a/dev-python/dask/dask-2023.9.3.ebuild b/dev-python/dask/dask-2023.9.3.ebuild
new file mode 100644
index 000000000000..e115a3b90562
--- /dev/null
+++ b/dev-python/dask/dask-2023.9.3.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="
+ https://www.dask.org/
+ https://github.com/dask/dask/
+ https://pypi.org/project/dask/
+"
+SRC_URI="
+ https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/click-8.0[${PYTHON_USEDEP}]
+ >=dev-python/cloudpickle-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-2021.9.0[${PYTHON_USEDEP}]
+ >=dev-python/importlib-metadata-4.13.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/partd-1.2.0[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/toolz-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/toolz[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/numexpr[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # fails with sqlalchemy-2.0, even though we don't use it x_x
+ sed -i -e '/RemovedIn20Warning/d' pyproject.toml || die
+ sed -i -e 's:--cov-config=pyproject.toml::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # more tests relying on -Werror
+ "dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
+ dask/array/tests/test_random.py::test_RandomState_only_funcs
+ # TODO
+ dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
+ dask/tests/test_config.py::test__get_paths
+ dask/array/tests/test_linalg.py::test_solve_assume_a
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>0-float-5-1-True]"
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>1-float-5-1-True]"
+ dask/array/tests/test_image.py::test_preprocess
+ dask/tests/test_system.py::test_cpu_count_cgroups_v2
+ # require sqlalchemy<2.0
+ dask/dataframe/io/tests/test_sql.py
+ )
+
+ if ! has_version -b "dev-python/pyarrow[parquet,${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ # fails if pyarrow is installed without USE=parquet
+ # (optional dep, skipped if it's not installed at all)
+ dask/dataframe/io/tests/test_parquet.py::test_pyarrow_filter_divisions
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_rerunfailures -m "not network"
+}
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index 1258ab443a59..6fb0c0ee789b 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,2 +1,3 @@
DIST fonttools-4.42.0.gh.tar.gz 3764057 BLAKE2B ef6340a58d1b8dc0fa87a6514792da76c63ee39fa7c0f420e637bb008ae4d6078722b695625bbba72481bfb47f239cd734288b6f5f89d57fcb1acca1e732f460 SHA512 c5b6963d420dd8bf2bae776880bf23c9e91aeb04f62fb3231cfb0af00008b82a19814138311c2b06cc8df1dbb83c0cd1fc1312a540918a3727407cee81d19116
DIST fonttools-4.42.1.gh.tar.gz 3767442 BLAKE2B 902eb47cfea3c113cab7e6ccf9a0b768782bd7243690cafdde9c6c76f057bc425fd17b0c1e62a43b0c40c2c26969ead1fc9e842a8dca74f063a29c3333f9250f SHA512 0bf48873c3fb8389851de44425f7b949b1de4ae7d2f46b5041225890ce3b853351f69b0d22cb647090568947b4f09ccd4450d022fd918d92ddd0dd9325397100
+DIST fonttools-4.43.0.gh.tar.gz 3767455 BLAKE2B 1c58f9d5611af9f3ee68218958a7188268207055702641bbb6505895b89c3f8cf34f285a7fcd40bf8d9ea079e05da1642a52a6f55512851322995e42e77f881d SHA512 631e7458ec7849a98b2ccb0e4ad46e6bc5bfd6206f7d478308d08348713c2ae8b63a201c19f1080427b1f377143bd930f591ee376cc573de3dea2ba4dcb7ba08
diff --git a/dev-python/fonttools/fonttools-4.43.0.ebuild b/dev-python/fonttools/fonttools-4.43.0.ebuild
new file mode 100644
index 000000000000..7c40e3d1b217
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.43.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="
+ https://github.com/fonttools/fonttools/
+ https://pypi.org/project/fonttools/
+"
+SRC_URI="
+ https://github.com/fonttools/fonttools/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/fs-2.4.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ export FONTTOOLS_WITH_CYTHON=1
+}
+
+src_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest Tests fontTools || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/fs/fs-2.4.16.ebuild b/dev-python/fs/fs-2.4.16.ebuild
index 6553db0af82c..60ed8ddbd9bc 100644
--- a/dev-python/fs/fs-2.4.16.ebuild
+++ b/dev-python/fs/fs-2.4.16.ebuild
@@ -40,6 +40,13 @@ EPYTEST_IGNORE=(
tests/test_ftpfs.py
)
+src_prepare() {
+ # fix for python 3.12
+ sed -e 's/self.assertRaisesRegexp/self.assertRaisesRegex/g' -i fs/test.py || die
+
+ distutils-r1_src_prepare
+}
+
pkg_postinst() {
optfeature "S3 support" dev-python/boto
optfeature "SFTP support" dev-python/paramiko
diff --git a/dev-python/ipython/Manifest b/dev-python/ipython/Manifest
index c51875a40b7c..608f5ac6cc02 100644
--- a/dev-python/ipython/Manifest
+++ b/dev-python/ipython/Manifest
@@ -1,2 +1,3 @@
DIST ipython-8.14.0.tar.gz 5470735 BLAKE2B 9789b49b771e69439f957ff85d81f40e6511f4440e2372cac881c708503a5ce1c22e9f1fac45828ee723d1bd9b9ee4684c475d08ed96ed98396faf1400b802af SHA512 94fe14fd914fa81fdb8e370cf0fe7bfb4286be1972b4499ed96e9bf7d018e89f586f3386269e1dafc4a2bc279df7980635bd748799639d6020f52c1cc8af6702
DIST ipython-8.15.0.tar.gz 5482758 BLAKE2B 596e87a1952995c1581e377f8306c02d1a37f29e04e7baa040a2ed78da1deea7f4de45b7af84919c47005c70f3e5fe2155a891cb3b5923e0ee76d2ff027036a5 SHA512 881b8d2caf051ee6a44af3c73f342e55eaf588ad096d0d2da08a10ee4699cb31b3550825091833848df9ed75657c9a2a1daf0b9b65ac7a3927c04a8d6e7cb1a9
+DIST ipython-8.16.0.tar.gz 5484881 BLAKE2B e5ceaf994a29edb0ccb53d6b561f0cb4dd64eefe2c57040e94c5984314e456e7752d656ece482b690c66099368906ab02565027bc7b5dc3af0d80be9a4be4c43 SHA512 b8e91137c5bfc559468985403a2fd20a4a42aa6439a1a1667fe050a07529886cee334943a00c09a34e6617a4f4583f7ca9cb840d1661946b5acc0e903c6aeda4
diff --git a/dev-python/ipython/ipython-8.16.0.ebuild b/dev-python/ipython/ipython-8.16.0.ebuild
new file mode 100644
index 000000000000..d8c72c787806
--- /dev/null
+++ b/dev-python/ipython/ipython-8.16.0.ebuild
@@ -0,0 +1,159 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+PYTHON_REQ_USE='readline,sqlite,threads(+)'
+
+inherit distutils-r1 optfeature pypi virtualx
+
+DESCRIPTION="Advanced interactive shell for Python"
+HOMEPAGE="
+ https://ipython.org/
+ https://github.com/ipython/ipython/
+ https://pypi.org/project/ipython/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="doc examples notebook nbconvert qt5 +smp test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/backcall[${PYTHON_USEDEP}]
+ dev-python/decorator[${PYTHON_USEDEP}]
+ >=dev-python/jedi-0.16[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/matplotlib-inline[${PYTHON_USEDEP}]
+ >=dev-python/pexpect-4.3[${PYTHON_USEDEP}]
+ dev-python/pickleshare[${PYTHON_USEDEP}]
+ >=dev-python/prompt-toolkit-3.0.38[${PYTHON_USEDEP}]
+ <dev-python/prompt-toolkit-3.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/stack_data[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/exceptiongroup[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+
+BDEPEND="
+ test? (
+ app-text/dvipng[truetype]
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ dev-python/matplotlib-inline[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-2[${PYTHON_USEDEP}]
+ dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+RDEPEND+="
+ nbconvert? (
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ notebook? (
+ dev-python/notebook[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/widgetsnbextension[${PYTHON_USEDEP}]
+ )
+ qt5? ( dev-python/qtconsole[${PYTHON_USEDEP}] )
+ smp? (
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/ipyparallel-6.2.3[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=( "${FILESDIR}"/2.1.0-substitute-files.patch )
+
+python_prepare_all() {
+ # Remove out of date insource files
+ #rm IPython/extensions/cythonmagic.py || die
+ #rm IPython/extensions/rmagic.py || die
+
+ # Prevent un-needed download during build
+ if use doc; then
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
+ fi
+
+ # Rename the test directory to reduce sys.path pollution
+ # https://github.com/ipython/ipython/issues/12892
+ mv IPython/extensions/{,ipython_}tests || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ emake -C docs html_noapi
+ HTML_DOCS=( docs/build/html/. )
+ fi
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local -x IPYTHON_TESTING_TIMEOUT_SCALE=20
+ local EPYTEST_DESELECT=(
+ # TODO: looks to be a regression due to a newer dep
+ IPython/core/tests/test_oinspect.py::test_class_signature
+ IPython/core/tests/test_oinspect.py::test_render_signature_long
+ IPython/terminal/tests/test_shortcuts.py::test_modify_shortcut_with_filters
+ )
+ # nonfatal implied by virtx
+ nonfatal epytest || die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Create ipythonX.Y symlinks.
+ # TODO:
+ # 1. do we want them for pypy? No. pypy has no numpy
+ # 2. handle it in the eclass instead (use _python_ln_rel).
+ # With pypy not an option the dosym becomes unconditional
+ dosym ../lib/python-exec/${EPYTHON}/ipython \
+ /usr/bin/ipython${EPYTHON#python}
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
+
+pkg_postinst() {
+ optfeature "code formatting" dev-python/black
+ optfeature "sympyprinting" dev-python/sympy
+ optfeature "cythonmagic" dev-python/cython
+ optfeature "%lprun magic command" dev-python/line-profiler
+ optfeature "%mprun magic command" dev-python/memory-profiler
+
+ if use nbconvert; then
+ if ! has_version virtual/pandoc ; then
+ einfo "Node.js will be used to convert notebooks to other formats"
+ einfo "like HTML. Support for that is still experimental. If you"
+ einfo "encounter any problems, please use app-text/pandoc instead."
+ fi
+ fi
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..e9da2ac43cac 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index ddb5b0f1787e..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>cyber+gentoo@sysrq.in</email>
- <name>Anna</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mistune/Manifest b/dev-python/mistune/Manifest
index 7837f0959d68..5ebf2cb67884 100644
--- a/dev-python/mistune/Manifest
+++ b/dev-python/mistune/Manifest
@@ -1 +1,2 @@
DIST mistune-3.0.1.tar.gz 91271 BLAKE2B 42c0e76a95ede80a09a9f4748bdf9a737a7b149c15d8c52159cedd1522cebd4085cd1ec03a0ac516ff522b2c513553587cd3e93f2e9ca4388b3ad0671a8c3cb8 SHA512 280c1baf87a5dac7aafc8181f3098c556c36017a97de6c75576858ff2a318103c9086c811d61faef43453160020bd4a1db2a3007d6afb26e6cfc701df40d435f
+DIST mistune-3.0.2.tar.gz 90840 BLAKE2B bc4f477b24c8244d2fb7032835b3dc3bfc0bda8948fabbfa78660f77c861df76f9e01abcb58f8643efd689482fe3a187995cc92dd7cd0b7817ad799237d9b72d SHA512 9a7e0e2886afddb8a6e314af1e4ed6e41f886f64823713f941b6a713a29986044ac66c437c4029e0fbf20224d106ce445a46906825b20b17b9e2ff6173476d28
diff --git a/dev-python/mistune/mistune-3.0.2.ebuild b/dev-python/mistune/mistune-3.0.2.ebuild
new file mode 100644
index 000000000000..03076bdc7830
--- /dev/null
+++ b/dev-python/mistune/mistune-3.0.2.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="The fastest markdown parser in pure Python"
+HOMEPAGE="
+ https://github.com/lepture/mistune/
+ https://pypi.org/project/mistune/
+"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+distutils_enable_tests pytest
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index 64cd2a8d10a8..f58ace486382 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1 +1,2 @@
DIST python-phonenumbers-8.13.21.gh.tar.gz 4916054 BLAKE2B 0086fe789f427140cf8178c4988b9928f4d7e361be9d270d0788470dcc17bde6797dec1e3fd05116a93383034d895c9d0f0c7a3254e55c4c9afca5e10714f2c2 SHA512 9b3d80dc2cc864612d86ecf40488fff802f9a9ac4899cb70429515510bdeb728d846ecd0afd0dc284099d8a4b7f3c81a5fd94081cbb691f4aa6d4d9c85aa4319
+DIST python-phonenumbers-8.13.22.gh.tar.gz 4915808 BLAKE2B 78a9ad733d2c2d223264c3559a7cabbc94a3b49061a0b7b944d104d774edf91733677a5bc58040e618de52d41320bc2602a532eaa679f29adff38ad4f3d17426 SHA512 1554a0da082b261a50b3cb0cb6773c8815291664e3c7777e3ebce7fb7293d1cd41f03400a86198bf28e31716fb346a1f79a4d84e7371d21eebb3b5a64307f67a
diff --git a/dev-python/phonenumbers/phonenumbers-8.13.22.ebuild b/dev-python/phonenumbers/phonenumbers-8.13.22.ebuild
new file mode 100644
index 000000000000..b0322ad89447
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.13.22.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/pkgcraft/Manifest b/dev-python/pkgcraft/Manifest
index 895bd3cece3e..d8b11f3ef6c5 100644
--- a/dev-python/pkgcraft/Manifest
+++ b/dev-python/pkgcraft/Manifest
@@ -1 +1,2 @@
DIST pkgcraft-0.0.6.tar.gz 406538 BLAKE2B 5c90b57cb11e9f754cd695989994b3a9be52007482981c997f2e361fbbb72aeb0810d7f41dea1cdcd74c47840bb1c3b2cf225c967ba76b01769da93f909d9911 SHA512 ddd7bf77a3509156e8c16e5aeeb94a5f4530d9d1a3e6617d3974adfae7b46f0b0d31f4828dbd70261b42c883e776bf7572ca2fe8e23c9216637d886b9d8811cc
+DIST pkgcraft-0.0.7.tar.gz 406608 BLAKE2B 733876723c676ac0000699440955518bb8a2fb35cc5bb1664e791c2be172a8a4ce90faff849eeacf293e4071dee0bb6b5ae18a5dba0c04ee79b52c1153c5b8d1 SHA512 e01cce2e5840a84ab43b6f9e9c0c15caa0d5247ff85e7bac4452411cccc87eea88193e12585bfebd01b73aa27f4c1d1f0e72982f61270f894890be9b38961e3e
diff --git a/dev-python/pkgcraft/pkgcraft-0.0.7.ebuild b/dev-python/pkgcraft/pkgcraft-0.0.7.ebuild
new file mode 100644
index 000000000000..119d746013c9
--- /dev/null
+++ b/dev-python/pkgcraft/pkgcraft-0.0.7.ebuild
@@ -0,0 +1,81 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for pkgcraft"
+HOMEPAGE="
+ https://pypi.org/project/pkgcraft/
+ https://github.com/pkgcraft/pkgcraft-python/
+"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/pkgcraft/pkgcraft-python.git"
+ inherit git-r3
+
+ PKGCRAFT_VERSION_MAX="99999" # extra 9 here or 9999 isn't mergable per DEPEND below
+ PKGCRAFT_VERSION_MIN="9999"
+else
+ SRC_URI="https://github.com/pkgcraft/pkgcraft-python/releases/download/v${PV}/${P/-python}.tar.gz"
+ S="${WORKDIR}"/${P/-python}
+
+ KEYWORDS="~amd64 ~arm64"
+
+ PKGCRAFT_VERSION_MAX="9999"
+ PKGCRAFT_VERSION_MIN="0.0.12"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+examples"
+
+DEPEND="
+ <sys-libs/pkgcraft-${PKGCRAFT_VERSION_MAX}
+ >=sys-libs/pkgcraft-${PKGCRAFT_VERSION_MIN}:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ if [[ ${PV} != 9999 ]] ; then
+ local actual_pkgcraft_min=$(sed -En '/^MIN_VERSION =/{s/[^0-9.]//gp}' setup.py || die)
+ if [[ ${actual_pkgcraft_min} != ${PKGCRAFT_VERSION_MIN} ]] ; then
+ eerror "Expected minimum pkgcraft-c version: ${PKGCRAFT_VERSION_MIN}"
+ eerror "Actual minimum pkgcraft-c version: ${actual_pkgcraft_min}"
+ die "Mismatch between setup.py's MIN_VERSION and ebuild!"
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install() {
+ # Conditional because these aren't installed officially right now
+ # and the naming is just for convenience.
+ if use examples ; then
+ while IFS= read -r -d '' file ; do
+ python_newexe "${S}"/examples/${file##*/} pkgcraft-${file##*/}
+ done < <(find "${S}"/examples -type f -executable -print0 || die)
+ fi
+
+ distutils-r1_python_install
+}
diff --git a/dev-python/pkgcraft/pkgcraft-9999.ebuild b/dev-python/pkgcraft/pkgcraft-9999.ebuild
index 003f71dcde82..119d746013c9 100644
--- a/dev-python/pkgcraft/pkgcraft-9999.ebuild
+++ b/dev-python/pkgcraft/pkgcraft-9999.ebuild
@@ -28,7 +28,7 @@ else
KEYWORDS="~amd64 ~arm64"
PKGCRAFT_VERSION_MAX="9999"
- PKGCRAFT_VERSION_MIN="0.0.11"
+ PKGCRAFT_VERSION_MIN="0.0.12"
fi
LICENSE="MIT"
diff --git a/dev-python/pyaml/Manifest b/dev-python/pyaml/Manifest
index 970cd120fdbb..44f21bfc0366 100644
--- a/dev-python/pyaml/Manifest
+++ b/dev-python/pyaml/Manifest
@@ -4,3 +4,4 @@ DIST pyaml-23.9.2.tar.gz 21955 BLAKE2B f397a88c89be6b7caa3752209ad3d0755882e3c63
DIST pyaml-23.9.3.tar.gz 24312 BLAKE2B 8b44aa6d515618d96a6272a03eb4df78bdea1e5cb71e4d13db1016cabf7c867f6c781da948297bc9f5718b3a06a7b5175eec54d416b8d352f5e23558048f961c SHA512 99171a227e3de2f8bb72148d1e1d526747575006bd812e162e2e8d176a7856c4033dfcef6da86f65a4a80a5f5298470b8de40af412cd01acb89ed8694ce97520
DIST pyaml-23.9.5.tar.gz 25495 BLAKE2B 1a47d750b680613ff63979976b1c24e3a6f63501a86f7bed36537fb2d29d96c7aaba9e37e2f2d161257f2fee1eb668828ddc611015e2ef48a11649f8da425a41 SHA512 a06969954b2446c25e16503ae7d67e3c059894d7de056a0743009161f9fa4e70d2edb6ba8d942fe46d54bb9d5fd6c7a8638ef41ad45cb2dfef298d7d1639fb6a
DIST pyaml-23.9.6.tar.gz 25986 BLAKE2B a2ddbb5c727b535dd0578295eb3c65fd8b797200a70d1097abe803fa4dd98d3e6f4cb4bb41092fbe733537735d4d464d8c3c943000e97569dedca20298082765 SHA512 b5d8bc4571623e0f395e02cdb9171c2a84aa450e2556d1b9bad38be8fccb83ea2e3c2b99e32541ef1c4381ac3b7348cf4a42274265e80f8747641080984194a3
+DIST pyaml-23.9.7.tar.gz 26080 BLAKE2B cb3d423c7d300147909ec7d070400206bbb1a05d226a6c6967665d950e33efe8992a8e47b6c8e7803533a88edac8192d9aa0b87d17397e2bfc45ba9bc1a97424 SHA512 f21f8c329e5233f6774701fc1e5673e62ab162fb5f8efba25120d4e157940709f47a2c90838b3af42e71b7dcfc69852393b204d0d85b6d5fba28a23f8a118be0
diff --git a/dev-python/pyaml/pyaml-23.9.7.ebuild b/dev-python/pyaml/pyaml-23.9.7.ebuild
new file mode 100644
index 000000000000..28745c670d67
--- /dev/null
+++ b/dev-python/pyaml/pyaml-23.9.7.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PyYAML-based module to produce pretty and readable YAML-serialized data"
+HOMEPAGE="
+ https://github.com/mk-fg/pretty-yaml/
+ https://pypi.org/project/pyaml/
+"
+
+LICENSE="WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/unidecode[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pyspnego/Manifest b/dev-python/pyspnego/Manifest
index c5db1b833042..396548043ecc 100644
--- a/dev-python/pyspnego/Manifest
+++ b/dev-python/pyspnego/Manifest
@@ -1,3 +1,4 @@
DIST pyspnego-0.10.0.tar.gz 221948 BLAKE2B b98ec74c4e0896a27ef718a426bd030113b57397b5fc8337d826a71dc3ff5068b95c8ee439615c7ab067ed4caf8f5801f3430bd3dce67286a14952e7797c2941 SHA512 4ab2c1e51c1e79a9b241600aa40d4a0ed70958d4cd9c2dba0f11e02e980810c0bc67cdb89b10eea3c42c84dcb8f98e284c108cfee75ae87a3107870cab854209
+DIST pyspnego-0.10.1.tar.gz 222011 BLAKE2B d7089023cf968029d6ec29216bda154824f19a504ab76ad9f3032fcb6c821ca67435bff7c54a86a881fd802787433e61530a458b797d8c91d19ae25b8766b016 SHA512 881291d3d5f81d0970f1b2cea201c055baf3973aae84cf15995e6f2c5a0ac8a23686e49b163f7d85b8fd0226f98de59bafc939c6983d1a81e954a3f22b34714e
DIST pyspnego-0.9.1.tar.gz 233824 BLAKE2B c36d2ee697ed9dcb7a3c7d3a3ec2bc58b88ac6ba5a020c852b4ba7d0a01d3dd4a3801d91a9456f3f4710684df16a3a4c7d449cfa58e141ae5085bef0f0fe6f21 SHA512 6c516cae43bff523ec19b6ef52e7691a688bada027a183b98e0121bdd4f44f887a5fa87f3ab173dff1e18d84a7886a2a04de80dbd6873cc1dafb1d7369a9d932
DIST pyspnego-0.9.2.tar.gz 233819 BLAKE2B e4fc4b8cd760210c2e4dd188a651725fa6579fe429ca227e8a5cc1f46111e3e8e6cb07bc4256f60560d86bcd0a2b2e621efbd0dc193d3f67f66a1fdb79ef8f9e SHA512 6775efa12b1f93addf9257145d020e5fcb5139edf8ffcbdca03cd55de7ee992b47af5278206de85e50a824abbf0a037a50dc7e47ca5b6f79b2f4e854d926a8f3
diff --git a/dev-python/pyspnego/pyspnego-0.10.1.ebuild b/dev-python/pyspnego/pyspnego-0.10.1.ebuild
new file mode 100644
index 000000000000..a0739911dc94
--- /dev/null
+++ b/dev-python/pyspnego/pyspnego-0.10.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Library to handle SPNEGO and CredSSP authentication"
+HOMEPAGE="
+ https://github.com/jborean93/pyspnego/
+ https://pypi.org/project/pyspnego/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/gssapi[${PYTHON_USEDEP}]
+ >=dev-python/krb5-0.3.0[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "Kerberos authentication" "dev-python/gssapi >=dev-python/krb5-0.3.0"
+ optfeature "YAML output support" "dev-python/ruamel-yaml"
+}
diff --git a/dev-python/sabctools/Manifest b/dev-python/sabctools/Manifest
index 2f925e5c888b..ab1f7ab5ad89 100644
--- a/dev-python/sabctools/Manifest
+++ b/dev-python/sabctools/Manifest
@@ -1,3 +1,4 @@
DIST sabctools-7.0.2.gh.tar.gz 8539819 BLAKE2B 38212656c745238f106fbc9334f6dccb02bb9e05153bc73a21a783a25a0c5a63cae2893a01fcceefe37e6f5f187fc6d762fcc632f1228410e951740c808e0e9e SHA512 05968a29afb7a041549bae9e9a4303160820da4cd10ea33ab4475fe48fd0b4cf46023c6254715161265f3e1bdf2b66ae7e62007789fbc288aa229d3a218a3df8
DIST sabctools-7.1.1.gh.tar.gz 8963314 BLAKE2B 583ac11ba8f4ef9d0f9d04a1697bb7e09644f2edfa851e175bf6454600e2d78bfb593c2fd3696ee077f3243084c90faa276eddd21578122233090be905367d55 SHA512 461f554d4e0032b4a4b0eaa4801d45cd014be00b5cd2f2c13ed7686d20994bb111c80fe8486a50af5622b3977056bd12d2465922f7daccd04a92af7101e52e0f
DIST sabctools-7.1.2.gh.tar.gz 8963375 BLAKE2B a404780c40cd98a605af58a79c9ecf7c5e479460db925c34486bc36621e749dcad363225e7a73e0222cc30b7bba8747d5d21ed4ac240c5df75485a2bd620e962 SHA512 7887ff3f6b46bd538540b591ab7b47a7b3efa277b45d69ed7329252b1f7326adfa6b286cc207a4262002a802c6acff03c0df4792e099da3dd8be1c3dd68a1ae0
+DIST sabctools-8.0.0.gh.tar.gz 8963761 BLAKE2B d6977c399801653bcc04136c614257a8dba952129ff87a06064518796bb4de1bf340b3f5ba1e841d05c33be804232cedc38da46991b69451661a89fcb2e2ede9 SHA512 0a1e17bbb316271fa620b037cd71a88b7a424206471766f8b77c81db7d7f2828fb58518916e51d4a3aa29f0615c31fd1da615f1b67838a31ee985c13b3045257
diff --git a/dev-python/sabctools/sabctools-8.0.0.ebuild b/dev-python/sabctools/sabctools-8.0.0.ebuild
new file mode 100644
index 000000000000..7cfd23f01341
--- /dev/null
+++ b/dev-python/sabctools/sabctools-8.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+MY_PN="sabctools"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Module providing raw yEnc encoding/decoding for SABnzbd"
+HOMEPAGE="
+ https://github.com/sabnzbd/sabctools/
+ https://pypi.org/project/sabctools/
+"
+SRC_URI="
+ https://github.com/sabnzbd/${MY_PN}/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( README.md doc/yenc-draft.1.3.txt )
+
+distutils_enable_tests pytest
diff --git a/dev-python/seaborn/Manifest b/dev-python/seaborn/Manifest
index 766f8abaca3c..986bdede51e9 100644
--- a/dev-python/seaborn/Manifest
+++ b/dev-python/seaborn/Manifest
@@ -1 +1,2 @@
DIST seaborn-0.12.2.tar.gz 1439798 BLAKE2B cf6903b1a2d27516bcafe46cabc81ea9fac80666394a6a82516630f9ac60afc7e9d31817e029cda9a08da04c0a37ce0244ad23acda16bca3283532ddb0fbdb71 SHA512 988a9922ee301b655911efa38905674b7dd15e7f7b157ad67f5befaeb02db492553f8bd6133b54d2dd7970b8dbbfd92d81d1faea3fa618247ebcaeb98620a060
+DIST seaborn-0.13.0.tar.gz 1455480 BLAKE2B 9f7383715366889ffd80788f901c574d9330285da2098e5695e944f1c6b92d4e417163a82378dd75c03233fc6485158401a1aaa461f2fa8e71a4cbc3ebf957cb SHA512 d603e880c29e05ab68f86d285c5c5ee9cf2da1d45265ed609f7bc87650fe20e80c026af487f63f9492a268f51ba5bab0cae4fd8fdeaf28125d16d317f9c937c8
diff --git a/dev-python/seaborn/seaborn-0.13.0.ebuild b/dev-python/seaborn/seaborn-0.13.0.ebuild
new file mode 100644
index 000000000000..a195bc7b6c0e
--- /dev/null
+++ b/dev-python/seaborn/seaborn-0.13.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Statistical data visualization"
+HOMEPAGE="https://seaborn.pydata.org https://github.com/mwaskom/seaborn"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/matplotlib-3.3[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.2[${PYTHON_USEDEP}]
+ >=dev-python/statsmodels-0.12[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ cat > matplotlibrc <<- EOF || die
+ backend : Agg
+ EOF
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ epytest -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index b80cec3d8f1d..426a52733e01 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -1,2 +1,3 @@
+DIST sqlglot-18.10.1.tar.gz 8803525 BLAKE2B 4e500eb9239fc5a3169a8f00aa022ff579f750c5c4c13e0906a4a6749216051a8b1f69d83b1d5f1ab118abb20f79b83f7881c5cef74d8d8a1066be1fcc1e588f SHA512 09ae7bb28cedd6d9c267694dbc38dcea75a860fb54e60d412f78a36629abba70e1be42683b220eec918f9f59782ce014625e1e7b15d17bc57dcf3658d49b95b7
DIST sqlglot-18.8.0.tar.gz 8764753 BLAKE2B f1a01a1dc939a53476d396c66e74b1ec0550f557ef2eac1bec5001229964e2838655d361612b20527fae0f8112ccc940295cd0d92e83d5ba1f272f4d9372374b SHA512 3e98ff8ad4e6061c41d90b33c7982b46b8e06680d14e989923077d61ac93d390df64df6ff182a1c87911979dd84ac493275bbc091bcdcc9a1dfce2a4091c7fa7
DIST sqlglot-18.9.0.tar.gz 8790638 BLAKE2B c951ee964b888dadaa3fd974bad89a689e9be9e5d17f42e5387c8c97152604205df7871294cb249ce9a0f6ed6a66fb41aba0f6596851e96252444c06908b91f1 SHA512 1e24d7936e94ced97ccc290634392434c064732017fa012b270632336663faa2315658e3dfc9d3bbd94648220f412c91cb9d0d4b97b3f26a21fa2129f4fce84a
diff --git a/dev-python/sqlglot/sqlglot-18.10.1.ebuild b/dev-python/sqlglot/sqlglot-18.10.1.ebuild
new file mode 100644
index 000000000000..19b5d607c4f4
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-18.10.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+)
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/weasyprint/Manifest b/dev-python/weasyprint/Manifest
index c000e58b0975..edc9dee6ff78 100644
--- a/dev-python/weasyprint/Manifest
+++ b/dev-python/weasyprint/Manifest
@@ -1,2 +1,3 @@
DIST weasyprint-59.0.tar.gz 438338 BLAKE2B 8cad25b3d5bc30d5c13ed550b9ddf40f7657689e80e75996bf8fddbd51cbe7a967824b22b1e81ed413a5bcd8371bca2ed7c00dd98da9dc2e3c3bc24aa45c3c5b SHA512 58f81a1b3e3f1315caebd08f2cb556c89cb1aa818c13310998e72c436479c1a0d10031c7792502970490e73bd6fd769c836bd4e87be384fd83179957e71496e1
DIST weasyprint-60.0.tar.gz 440912 BLAKE2B d4bea67398e8f39ae2d51f6295ac696b4076c250ad24768bc19ecaa0eb09e88d505635f669e34dd77693c60e36f7d6e701a456a87ecc429f7fa534223ccef89f SHA512 94abcd19a5798395ba8f9c5ddde616e877b359e5938f2c0247bb61550889af14aa00b1093ac547ecc94bb3a733ef5604daf251dad41a8418778ffb0aa561ab8a
+DIST weasyprint-60.1.tar.gz 441148 BLAKE2B 3d5eb6d9dd80a222649a03e09a096786bc4add67c7df3965325217a4c03aa4a545d442b6327b83bea082fa50f5d1ba32587749449824267acc849a0374a58cea SHA512 7fc05c6c80fc6eb251637b529720794df4b7d5c066ecfb4086cb49b7e1c42a51fcb7b2502a79f9f01f6cc5b83d92d5a48c7386b2db555e7dba6eb64e3151d6ae
diff --git a/dev-python/weasyprint/weasyprint-60.1.ebuild b/dev-python/weasyprint/weasyprint-60.1.ebuild
new file mode 100644
index 000000000000..8652fb063a73
--- /dev/null
+++ b/dev-python/weasyprint/weasyprint-60.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Visual rendering engine for HTML and CSS that can export to PDF"
+HOMEPAGE="
+ https://weasyprint.org/
+ https://github.com/Kozea/WeasyPrint/
+ https://pypi.org/project/weasyprint/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cffi-0.6:=[${PYTHON_USEDEP}]
+ >=dev-python/cssselect2-0.1[${PYTHON_USEDEP}]
+ >=dev-python/fonttools-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/pillow-4.0.0[jpeg,jpeg2k,${PYTHON_USEDEP}]
+ >=dev-python/pydyf-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/tinycss2-1.0.0[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ x11-libs/pango
+"
+
+BDEPEND="
+ test? (
+ >=app-text/ghostscript-gpl-9.56.1-r3
+ media-fonts/ahem
+ )
+"
+
+distutils_enable_tests pytest